Package org.apache.nutch.protocol.http.api

## Class HttpException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.nutch.protocol.ProtocolException
      - - org.apache.nutch.protocol.http.api.HttpException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `BlockedException`

      public class HttpException
      extends ProtocolException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpException()` |
    `HttpException​(String message)` |
    `HttpException​(String message, Throwable cause)` |
    `HttpException​(Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpException

          public HttpException()

    - #### HttpException

          public HttpException​(String message)

    - #### HttpException

          public HttpException​(String message,
                               Throwable cause)

    - #### HttpException

          public HttpException​(Throwable cause)